package web.service;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import persistence.model.Assunto;

public class AssuntoServiceImpl extends BaseService implements AssuntoService {

	@SuppressWarnings("unchecked")
	public List<Assunto> getAllAssuntos() {

		EntityManager em = getEntityManager();

		em.getTransaction().begin();
		
		Query query = em.createQuery("SELECT a FROM Assunto a");		
		List<Assunto> assuntos = query.getResultList();
		
		em.getTransaction().commit();

		return assuntos;
	}

	public Assunto findByID(Long id) {
		EntityManager em = getEntityManager();
		
		Assunto assunto = em.find(Assunto.class, id);
		return assunto;
	}

}
